org.keycloak.protocol.saml.mappers

## Class HardcodedRole

- java.lang.Object
- - org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper
  - - org.keycloak.protocol.saml.mappers.HardcodedRole

- All Implemented Interfaces:
    ProtocolMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class HardcodedRole
      extends AbstractSAMLProtocolMapper

  Mappings UserModel property (the property name of a getter method) to an AttributeStatement.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTRIBUTE_VALUE`
    `static String` | `PROVIDER_ID`
    `static String` | `ROLE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardcodedRole()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolMapperModel` | `create(String name, String role)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper

      `close, create, getProtocol, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `getPriority, validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_VALUE

          public static final String ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### ROLE_ATTRIBUTE

          public static final String ROLE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HardcodedRole

          public HardcodedRole()

  - ### Method Detail

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

    - #### getDisplayType

          public String getDisplayType()

    - #### getDisplayCategory

          public String getDisplayCategory()

    - #### getHelpText

          public String getHelpText()

    - #### create

          public static ProtocolMapperModel create(String name,
                                                   String role)

Copyright © 2020 JBoss by Red Hat. All rights reserved.